package com.ruoyi.warehouseBusiness.domain.vo;

import com.ruoyi.basicData.domain.TFees;
import com.ruoyi.warehouseBusiness.domain.TWarehouseBills;
import com.ruoyi.warehouseBusiness.domain.TWarehousebillsfees;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * @author caifc
 * @date 2021-10-27 18:21
 */
public class StorageFeeCalculationResultVO implements Serializable {
    private static final long serialVersionUID = 1L;


    /**
     * 费用id
     */
    private Long feeId;

    /**
     * 计费单位
     */
    private Long unit;

    /**
     * 计费数量
     */
    private BigDecimal qty;

    /**
     * 仓储费
     */
    private BigDecimal amt;

    /**
     * 备注  天*钱=金额
     */
    private String remark;

    /**
     * 计费区间  月日-月日 * 钱
     */
    private String billingInterval;

    /**
     * 仓储主表信息
     */
    private TWarehouseBills warehouseBills;

    /**
     * 仓储费用信息
     */
    private List<TWarehousebillsfees> warehouseItemList;

    /**
     * 费用集合
     */
    private List<TWarehousebillsfees> itemFeesList;

    /**
     * 费用集合
     */
    private List<TFees> feesList;


    public TWarehouseBills getWarehouseBills() {
        return warehouseBills;
    }

    public void setWarehouseBills(TWarehouseBills warehouseBills) {
        this.warehouseBills = warehouseBills;
    }

    public List<TWarehousebillsfees> getWarehouseItemList() {
        return warehouseItemList;
    }

    public void setWarehouseItemList(List<TWarehousebillsfees> warehouseItemList) {
        this.warehouseItemList = warehouseItemList;
    }

    public List<TFees> getFeesList() {
        return feesList;
    }

    public void setFeesList(List<TFees> feesList) {
        this.feesList = feesList;
    }

    public List<TWarehousebillsfees> getItemFeesList() {
        return itemFeesList;
    }

    public void setItemFeesList(List<TWarehousebillsfees> itemFeesList) {
        this.itemFeesList = itemFeesList;
    }

    public Long getFeeId() {
        return feeId;
    }

    public void setFeeId(Long feeId) {
        this.feeId = feeId;
    }

    public Long getUnit() {
        return unit;
    }

    public void setUnit(Long unit) {
        this.unit = unit;
    }

    public BigDecimal getQty() {
        return qty;
    }

    public void setQty(BigDecimal qty) {
        this.qty = qty;
    }

    public BigDecimal getAmt() {
        return amt;
    }

    public void setAmt(BigDecimal amt) {
        this.amt = amt;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getBillingInterval() {
        return billingInterval;
    }

    public void setBillingInterval(String billingInterval) {
        this.billingInterval = billingInterval;
    }

    @Override
    public String toString() {
        return "StorageFeeCalculationResultVO{" +
                "feeId=" + feeId +
                ", unit=" + unit +
                ", qty=" + qty +
                ", amt=" + amt +
                ", remark='" + remark + '\'' +
                ", billingInterval='" + billingInterval + '\'' +
                '}';
    }
}
